Bug 52585 - VIEWING CHART without anti aliasing when gradient applied to data point
Summary: VIEWING CHART without anti aliasing when gradient applied to data point
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2012-07-27 13:42 UTC by Alexander Wilms
Modified: 2019-12-03 14:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example (15.50 KB, application/vnd.oasis.opendocument.text)
2012-07-27 13:42 UTC, Alexander Wilms
Details
Sample with additional chart (58.05 KB, application/vnd.oasis.opendocument.text)
2012-12-03 06:16 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Wilms 2012-07-27 13:42:55 UTC
Created attachment 64778 [details]
Example

After applying a gradient to a segment of a pie chart, the edges become jagged when leaving Chart and going back to Writer by clicking outside the object.
Comment 1 Muthu 2012-08-01 11:54:23 UTC
I can confirm this. And probably happens only on Writer (i.e. not on Impress)
Comment 2 Rainer Bielefeld Retired 2012-12-03 06:12:33 UTC
Not a new problem, already [Reproducible] with reporter's sample and server installation of "LibreOffice 3.5.7.2 rc German UI/Locale [Build-ID: 3215f89-f603614-ab984f2-7348103-1225a5b] on German WIN7 Home Premium (64bit) 

Also with LibO 3.4.5 and 3.3.3 (more early versions not tested), but not with OOo 3.4.0. So this one seems to be a regression compared to OOo

As Muthu stated the problem is lmited to Writer, When I copy the chart to Calc, Impress, Draw the problem disappears, copying the chart back to a writer document makes the problem reappear.

A characteristic of this problem is that the problem is not visible in the Chart Edit Mode (after double click on the chart).
Comment 3 Rainer Bielefeld Retired 2012-12-03 06:16:05 UTC
Created attachment 70946 [details]
Sample with additional chart

"Sample with additional chart" shows that the problem is not limited to pie chart, but that additional line chart shows a strange effect. When I open the document I see the missing anti aliasing in the line  chart, but double click  on the line chart for edit mode and then leaving edit mode heals the problem until next change of zoom (alfo or double). This strange effect is not visible for pie chart
Comment 4 Rainer Bielefeld Retired 2012-12-03 06:34:29 UTC
Due to all results I see this one more as a WRITER than a CHART problem.

@Cédric:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf
Comment 5 Cédric Bosdonnat 2014-01-20 08:57:26 UTC
Restricted my LibreOffice hacking area
Comment 6 Alexander Wilms 2014-01-20 10:30:43 UTC
Seems to be fixed in 4.1.4.2
Comment 7 Alexander Wilms 2014-07-30 11:08:05 UTC
Seems to be fixed in Version: 4.3.0.4
Build-ID: 62ad5818884a2fc2e5780dd45466868d41009ec0

The additional chart in Rainer's file is still aliased, but that depens of the rotation of the chart.
Comment 8 QA Administrators 2015-09-04 02:48:34 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-11-19 12:05:26 UTC
(In reply to Fabian Alexander Wilms from comment #7)
> Seems to be fixed in Version: 4.3.0.4
> Build-ID: 62ad5818884a2fc2e5780dd45466868d41009ec0
> 
> The additional chart in Rainer's file is still aliased, but that depens of
> the rotation of the chart.

Yep, still seeing it in Rainer's file.

Win 7 Pro 64-bit, Version: 5.0.3.2 (x64)
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: fi-FI (fi_FI)
Comment 10 QA Administrators 2017-01-03 19:36:40 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2019-12-03 14:04:29 UTC
Dear Fabian Alexander Wilms,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug